<?php

namespace MintyPHP\Http;

interface CookieStoreInterface
{
    public function get(string $name): string;

    /**
     * @param array<string, mixed> $options
     */
    public function set(string $name, string $value, array $options = []): void;

    /**
     * @param array<string, mixed> $options
     */
    public function remove(string $name, array $options = []): void;
}
